[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: An intermediate release to `bo' and `hamm' (Re: No Debian up

George Bonser <grep@oriole.sbay.org> writes:
> On 06-Oct-97 Raja R Harinath wrote:
> >I'm thinking of a hamm-friendly bo (hbo? :-) -- which basically has all
> >the `libc5' libraries from hamm.  People using `bo' would upgrade to
> >`hbo', which basically moves all the libc5 libraries from /usr/lib to
> >/usr/lib/libc5-compat, and all devel tools into /usr/i486-linuxlibc1;
> >leaving thing in a state most amenable to upgrading to `hamm'.  This
> >could be a mini-distribution, which just has the libraries, and maybe
> >the `altdev's, and some packages that are closely dependent on the exact
> >version of the shared libs (`bash' would be one, I guess).
> >
> >Such a distribution would help greatly in the Libc5 to Libc6 migration.
> Somehow I think this is a bad idea but I can understand the intent.
> What it would do is force double the work on the developers and
> maintainers. They will have bug reports for libc5 and libc6 versions
> ... sometimes the bugs would be different. They would basicly be
> maintaining two versions of the same package, possibly with completely
> different sets of bugs ... 2.0 would NEVER get done.

Notice that I am talking only about `lib' packages, not all packages.
We already have for `hamm' to do all the work of maintaining `libc5' and
`libc6' versions of shared libs that exist both in `bo' and `hamm'.
This work _has_ to be done if you're planning to support anyone
upgrading from `bo' to `hamm', either from `stable' to `unstable', or
from 1.3* to 2.0.

My proposal is just to encode the `Libc5 to Libc6 Migration HOWTO' into
a mini-distribution.  Basically the existing procedure is this: 

  - For each (problematic) lib
    1. upgrade to a libc6-friendly libc5 lib.  
    2. Install the libc6 lib.

The mini-distribution approach is as follows:

  1. Upgrade en-masse to a libc6-friendly, but still libc5, set of libs.
     - Your machine will still be usable.  Most other packages will work
       fine.  If some don't, tough luck, this is a step-up distribution, 
       hopefully it'll work with `hamm'.
  2. Upgrade to `hamm'.

No playing around with `dpkg' command lines.  Everything is done with

This mini-distribution probably doesn't even need to have all the libs
-- just the essential ones -- definitely ld.so, libc5, libreadline (for
bash), libgdbm (for perl?) and any other libs mentioned in the migration

Of course, having this step-up distribution means more work for the
ftp.debian.org maintainer.

- Hari
Raja R Harinath ------------------------------ harinath@cs.umn.edu
"When all else fails, read the instructions."      -- Cahn's Axiom
"Our policy is, when in doubt, do the right thing."   -- Roy L Ash

TO UNSUBSCRIBE FROM THIS MAILING LIST: e-mail the word "unsubscribe" to
debian-user-request@lists.debian.org .
Trouble?  e-mail to templin@bucknell.edu .

Reply to: